Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.connector.extensions
Class SuspendableAdapter

    java.lang.Object
      weblogic.connector.extensions.SuspendableAdapter

All Implemented Interfaces:
  Serializable, ResourceAdapter, Suspendable

    public class SuspendableAdapter

extends Object
implements ResourceAdapter, Suspendable, Serializable

This is a convenience class in helping to build a ResourceAdapter JavaBean class. It stubs out all methods necessary to implement a RA that implements javax.resource.spi.ResourceAdapter and weblogic.connector.extensions.Suspendable. Simply extend this class and override the methods you need to override.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface weblogic.connector.extensions.Suspendable
`ALL, INBOUND, OUTBOUND, RESUME, SUSPEND, WORK`

Constructor Summary
`SuspendableAdapter()`

Method Summary
`void` | `endpointActivation(MessageEndpointFactory endpointFactory, ActivationSpec spec)` `public void endpointActivation(MessageEndpointFactory endpointFactory, ActivationSpec spec) throws ResourceException { throw new NotSupportedException(); }`
`void` | `endpointDeactivation(MessageEndpointFactory endpointFactory, ActivationSpec spec)` `public void endpointDeactivation(MessageEndpointFactory endpointFactory, ActivationSpec spec) { }`
`XAResource[]` | `getXAResources(ActivationSpec[] spec)` `public XAResource[] getXAResources(ActivationSpec[] spec) throws ResourceException { throw new NotSupportedException(); }`
`void` | `init(ResourceAdapter ra, Properties props)` `public void init(ResourceAdapter ra, Properties props) throws ResourceException { }`
`boolean` | `isInboundSuspended(MessageEndpointFactory endptFactory)` `public boolean isInboundSuspended(MessageEndpointFactory endptFactory) throws ResourceException { return false; }`
`boolean` | `isSuspended(int type)` `public boolean isSuspended(int type) { return false; }`
`void` | `resume(int type, Properties props)` `public void resume(int type, Properties props) throws ResourceException { }`
`void` | `resumeInbound(MessageEndpointFactory endptFactory, Properties props)` `public void resumeInbound(MessageEndpointFactory endptFactory, Properties props) throws ResourceException { }`
`void` | `start(BootstrapContext context)` `public void start(BootstrapContext context) throws ResourceAdapterInternalException { }`
`void` | `startVersioning(ResourceAdapter ra, Properties props)` `public void startVersioning(ResourceAdapter ra, Properties props) throws ResourceException { }`
`void` | `stop()` `public void stop() { }`
`boolean` | `supportsInit()` `public boolean supportsInit() { return false; }`
`boolean` | `supportsSuspend(int type)` `public boolean supportsSuspend(int type) { return false; }`
`boolean` | `supportsVersioning()` `public boolean supportsVersioning() { return false; }`
`void` | `suspend(int type, Properties props)` `public void suspend(int type, Properties props) throws ResourceException { }`
`void` | `suspendInbound(MessageEndpointFactory endptFactory, Properties props)` `public void suspendInbound(MessageEndpointFactory endptFactory, Properties props) throws ResourceException { }`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuspendableAdapter

    public SuspendableAdapter()

Method Detail

### start

    public void start(BootstrapContext context)
               throws ResourceAdapterInternalException

  `public void start(BootstrapContext context) throws ResourceAdapterInternalException { }`

  Specified by:
    `start` in interface `ResourceAdapter`
  Throws:
    `ResourceAdapterInternalException`

### stop

    public void stop()

  `public void stop() { }`

  Specified by:
    `stop` in interface `ResourceAdapter`

### endpointActivation

    public void endpointActivation(MessageEndpointFactory endpointFactory,
                                   ActivationSpec spec)
                            throws ResourceException

  `public void endpointActivation(MessageEndpointFactory endpointFactory, ActivationSpec spec) throws ResourceException { throw new NotSupportedException(); }`

  Specified by:
    `endpointActivation` in interface `ResourceAdapter`
  Throws:
    `ResourceException`

### endpointDeactivation

    public void endpointDeactivation(MessageEndpointFactory endpointFactory,
                                     ActivationSpec spec)

  `public void endpointDeactivation(MessageEndpointFactory endpointFactory, ActivationSpec spec) { }`

  Specified by:
    `endpointDeactivation` in interface `ResourceAdapter`

### getXAResources

    public XAResource[] getXAResources(ActivationSpec[] spec)
                                throws ResourceException

  `public XAResource[] getXAResources(ActivationSpec[] spec) throws ResourceException { throw new NotSupportedException(); }`

  Specified by:
    `getXAResources` in interface `ResourceAdapter`
  Throws:
    `ResourceException`

### suspend

    public void suspend(int type,
                        Properties props)
                 throws ResourceException

  `public void suspend(int type, Properties props) throws ResourceException { }`

  Specified by:
    `suspend` in interface `Suspendable`
  Parameters:
    `type` - An int from 1 to 7 specifying the type of suspension being requested (i.e. Suspendable.INBOUND, .OUTBOUND, .WORK or the sum of one or more of these, or the value Suspendable.ALL )
    `props` - Optional Properties (or null) to be used for ResourceAdapter specific purposes
  Throws:
    `ResourceException` - If the resource adapter can't complete the request

### suspendInbound

    public void suspendInbound(MessageEndpointFactory endptFactory,
                               Properties props)
                        throws ResourceException

  `public void suspendInbound(MessageEndpointFactory endptFactory, Properties props) throws ResourceException { }`

  Specified by:
    `suspendInbound` in interface `Suspendable`
    `props` - Optional Properties (or null) to be used for ResourceAdapter specific purposes
  Throws:
    `ResourceException` - If the resource adapter can't complete the request

### resumeInbound

    public void resumeInbound(MessageEndpointFactory endptFactory,
                              Properties props)
                       throws ResourceException

  `public void resumeInbound(MessageEndpointFactory endptFactory, Properties props) throws ResourceException { }`

  Specified by:
    `resumeInbound` in interface `Suspendable`
    `props` - Optional Properties (or null) to be used for ResourceAdapter specific purposes
  Throws:
    `ResourceException` - If the resource adapter can't complete the request

### resume

    public void resume(int type,
                       Properties props)
                throws ResourceException

  `public void resume(int type, Properties props) throws ResourceException { }`

  Specified by:
    `resume` in interface `Suspendable`
  Parameters:
    `type` - An int from 1 to 7 specifying the type of resume being requested (i.e. Suspendable.INBOUND, .OUTBOUND, .WORK or the sum of one or more of these, or the value Suspendable.ALL )
    `props` - Optional Properties (or null) to be used for ResourceAdapter specific purposes
  Throws:
    `ResourceException` - If the resource adapter can't complete the request

### supportsSuspend

    public boolean supportsSuspend(int type)

  `public boolean supportsSuspend(int type) { return false; }`

  Specified by:
    `supportsSuspend` in interface `Suspendable`
  Parameters:
    `type` - An int from 1 to 7 specifying the type of suspend this inquiry is about (i.e. Suspendable.INBOUND, .OUTBOUND, .WORK or the sum of one or more of these, or the value Suspendable.ALL )
  Returns:
    true iff the specified type of suspend is supported

### isSuspended

    public boolean isSuspended(int type)

  `public boolean isSuspended(int type) { return false; }`

  Specified by:
    `isSuspended` in interface `Suspendable`
  Parameters:
    `type` - An int from 1 to 7 specifying the type of activity requested (i.e. Suspendable.INBOUND, .OUTBOUND, .WORK or the sum of one or more of these, or the value Suspendable.ALL )
  Returns:
    true iff the specified type of activity is suspened by this resource adapter

### isInboundSuspended

    public boolean isInboundSuspended(MessageEndpointFactory endptFactory)
                               throws ResourceException

  `public boolean isInboundSuspended(MessageEndpointFactory endptFactory) throws ResourceException { return false; }`

  Specified by:
    `isInboundSuspended` in interface `Suspendable`
  Returns:
    true iff the inbound activity is suspened by this resource adapter
  Throws:
    `ResourceException`

### supportsInit

    public boolean supportsInit()

  `public boolean supportsInit() { return false; }`

  Specified by:
    `supportsInit` in interface `Suspendable`
  Returns:
    true iff this resource adapter supports the init() method

### supportsVersioning

    public boolean supportsVersioning()

  `public boolean supportsVersioning() { return false; }`

  Specified by:
    `supportsVersioning` in interface `Suspendable`
  Returns:
    true iff this resource adapter supports the startVersioning() method

### startVersioning

    public void startVersioning(ResourceAdapter ra,
                                Properties props)
                         throws ResourceException

  `public void startVersioning(ResourceAdapter ra, Properties props) throws ResourceException { }`

  Specified by:
    `startVersioning` in interface `Suspendable`
  Parameters:
    `ra` - The new ResourceAdapter JavaBean
    `props` - Properties associated with the versioning when it can be undeployed
  Throws:
    `ResourceException` - If something goes wrong

### init

    public void init(ResourceAdapter ra,
                     Properties props)
              throws ResourceException

  `public void init(ResourceAdapter ra, Properties props) throws ResourceException { }`

  Specified by:
    `init` in interface `Suspendable`
  Parameters:
    `ra` - The old version of the resource adapter that is currently running
    `props` - Properties associated with the versioning operation
  Throws:
    `ResourceException` - If the init() fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD